package com.sqx.modules.emergencyContact.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.emergencyContact.entity.EmergencyContact;

public interface EmergencyContactService extends IService<EmergencyContact> {

    void insert(EmergencyContact emergencyContact);

    Result updateEmergency(EmergencyContact emergencyContact);

    Result deleteEmergency(Long emergencyId);

    Result selectEmergencyList(Long userId);
}
